# Interface ICommandManagerListener

public interface ICommandManagerListener
An instance of this interface can be used by clients to receive notification of changes to one or more instances of `ICommandManager`.

This interface may be implemented by clients.

Since:
  3.1
See Also:
  - `CommandManager.addCommandManagerListener(ICommandManagerListener)`
  - `CommandManager.removeCommandManagerListener(ICommandManagerListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`commandManagerChanged(CommandManagerEvent commandManagerEvent)`
Notifies that one or more properties of an instance of `ICommandManager` have changed.

## Method Details

### commandManagerChanged

void commandManagerChanged(CommandManagerEvent commandManagerEvent)
Notifies that one or more properties of an instance of `ICommandManager` have changed. Specific details are described in the `CommandManagerEvent`.

Parameters:
  `commandManagerEvent` - the commandManager event. Guaranteed not to be `null`.